import * as textQuote from "dom-anchor-text-quote";
import type { TextFragment } from "text-fragments-polyfill/dist/fragment-generation-utils.js";
import type { Logger } from "../logger.js";
export interface DomAnchor {
    fragment?: TextFragment;
    text: textQuote.TextQuoteAnchor;
    pdf?: {
        pageNumber: number;
        pageLabel: string;
    };
}
export declare function getRangesFromDomAnchor(root: HTMLElement, domAnchor: DomAnchor, logger?: Logger): Range[];
export declare function makeDomAnchorFromSelection(selection: Selection): DomAnchor;
export declare function makeDomAnchorFromRange(range: Range): DomAnchor;
